# SIPSubscribe::SubscriptionStatus Struct Reference

`#include <sippdu.h>`

Collaboration diagram for SIPSubscribe::SubscriptionStatus:

[legend]

## Data Fields

SIPSubscribeHandler * | m_handler
| Handler for subscription.
PString | m_addressofRecord
| Address of record for registration.
bool | m_wasSubscribing
| Was registering or unregistering.
bool | m_reSubscribing
| Was a registration refresh.
SIP_PDU::StatusCodes | m_reason
| Reason for status change.
OpalProductInfo | m_productInfo
| Server product info from registrar if available.
void * | m_userData
| User data corresponding to this registration.

## Detailed Description

Information provided on the subscription status.

## Field Documentation

PString SIPSubscribe::SubscriptionStatus::m_addressofRecord

Address of record for registration.

SIPSubscribeHandler* SIPSubscribe::SubscriptionStatus::m_handler

Handler for subscription.

OpalProductInfo SIPSubscribe::SubscriptionStatus::m_productInfo

Server product info from registrar if available.

SIP_PDU::StatusCodes SIPSubscribe::SubscriptionStatus::m_reason

Reason for status change.

bool SIPSubscribe::SubscriptionStatus::m_reSubscribing

Was a registration refresh.

void* SIPSubscribe::SubscriptionStatus::m_userData

User data corresponding to this registration.

bool SIPSubscribe::SubscriptionStatus::m_wasSubscribing

Was registering or unregistering.

The documentation for this struct was generated from the following file:

- sippdu.h